cascading.tuple.hadoop.util

## Class TypedTupleElementComparator

- java.lang.Object
- - cascading.tuple.hadoop.util.TypedTupleElementComparator

All Implemented Interfaces:
  StreamComparator<TupleInputStream>, java.util.Comparator<java.lang.Object>

    public class TypedTupleElementComparator
    extends java.lang.Object
    implements StreamComparator<TupleInputStream>, java.util.Comparator<java.lang.Object>

### Constructor Summary

Constructors
Constructor and Description
`TypedTupleElementComparator()`
`TypedTupleElementComparator(java.lang.Class type, java.util.Comparator comparator)`

### Method Summary

Methods
`int` `compare(java.lang.Object lhs, java.lang.Object rhs)`
`int` `compare(TupleInputStream lhsStream, TupleInputStream rhsStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### TypedTupleElementComparator

    public TypedTupleElementComparator()

#### TypedTupleElementComparator

    public TypedTupleElementComparator(java.lang.Class type,
                               java.util.Comparator comparator)

### Method Detail

#### compare

    public int compare(java.lang.Object lhs,
              java.lang.Object rhs)

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.Object>`

#### compare

    public int compare(TupleInputStream lhsStream,
              TupleInputStream rhsStream)

Specified by:
  `compare` in interface `StreamComparator<TupleInputStream>`